{{ define "main" }}
  <div class="row">
    <div class="col-xl-2 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                Total in inventory
              </div>
              {{ $total_number_of_projects := .Site.Data.projects_metrics.total_number_of_projects }}
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                {{ $total_number_of_projects | lang.FormatNumber 0 }}
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-globe fa-2x text-secondary"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xl-2 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                Categorized
              </div>
              {{ $categorized := where .Pages "Params.Categories" "!=" nil }}
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                {{ len $categorized | lang.FormatNumber 0 }}
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-tags fa-2x text-secondary"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xl-2 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Coverage</div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                {{ (mul 100 (div (len $categorized) $total_number_of_projects)) | lang.FormatPercent 2 }}
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-ruler fa-2x text-secondary"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xl-2 col-md-6 mb-4">
      <div class="card border-left-primary shadow h-100 py-2">
        <div class="card-body">
          <div class="row no-gutters align-items-center">
            <div class="col mr-2">
              <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                Ignored groups
              </div>
              <div class="h5 mb-0 font-weight-bold text-gray-800">
                {{ .Site.Data.projects_metrics.ignored | lang.FormatNumber 0 }}
              </div>
            </div>
            <div class="col-auto">
              <i class="fas fa-bell-slash fa-2x text-secondary"></i>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="table-responsive">
    <p>
      <input
        class="form-control"
        id="listFilter"
        onkeyup="filterProjects()"
        type="text"
        placeholder="Search..." />
    </p>
    {{ partial "projects.html" .Pages }}
  </div>
{{ end }}
